Page Summary
-
This API call retrieves a list of customer resource names that the authenticated user can directly access.
-
It uses an HTTP GET request with an empty request body and expects an empty JSON object in the response.
-
The response will contain an array of customer resource names within a JSON object under the
resourceNameskey. -
Authentication using OAuth 2.0 with the
https://www.googleapis.com/auth/doubleclicksearchscope is required.
Returns resource names of customers directly accessible by the user authenticating the call.
List of thrown errors: AuthenticationError AuthorizationError HeaderError InternalError QuotaError RequestError
HTTP request
GET https://searchads360.googleapis.com/v0/customers:listAccessibleCustomers
The URL uses gRPC Transcoding syntax.
Request body
The request body must be empty.
Response body
Response message for CustomerService.ListAccessibleCustomers.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "resourceNames": [ string ] } |
| Fields | |
|---|---|
resourceNames[] |
Resource name of customers directly accessible by the user authenticating the call. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/doubleclicksearch